
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;

-- Uncomment the following library declaration if using
-- arithmetic functions with Signed or Unsigned values
--- use IEEE.NUMERIC_STD.ALL;

-- Uncomment the following library declaration if instantiating
-- any Xilinx primitives in this code.
--library UNISIM;
--use UNISIM.VComponents.all;

entity MUX_4 is
    Port ( E0 : in  STD_LOGIC_VECTOR (7 downto 0); 
           E1 : in  STD_LOGIC_VECTOR (7 downto 0); 
			  E2 : in  STD_LOGIC_VECTOR (7 downto 0); 
			  E3 : in  STD_LOGIC_VECTOR (7 downto 0);
			  Sel : in  STD_LOGIC_VECTOR (1 downto 0);
			  
           Sortie : out  STD_LOGIC_VECTOR (7 downto 0));
       
end MUX_4;

architecture Behavioral of MUX_4 is

begin

	
	Sortie <= E3 when Sel = "11" else
				 E2 when Sel = "10" else
				 E1 when Sel = "01" else
				 E0;

end Behavioral;



