----------------------------------------------------------------------------------
-- Company: 
-- Engineer: 
-- 
-- Create Date: 10/29/2023 01:53:40 PM
-- Design Name: 
-- Module Name: reset_generator - Behavioral
-- Project Name: 
-- Target Devices: 
-- Tool Versions: 
-- Description: 
-- 
-- Dependencies: 
-- 
-- Revision:
-- Revision 0.01 - File Created
-- Additional Comments:
-- 
----------------------------------------------------------------------------------


library IEEE;
use IEEE.STD_LOGIC_1164.ALL;

-- Uncomment the following library declaration if using
-- arithmetic functions with Signed or Unsigned values
--use IEEE.NUMERIC_STD.ALL;

-- Uncomment the following library declaration if instantiating
-- any Xilinx leaf cells in this code.
--library UNISIM;
--use UNISIM.VComponents.all;

entity reset_generator is
port (
    clock : in std_logic;
    reset : out std_logic := '1'
    );
end reset_generator;

architecture Behavioral of reset_generator is

signal d1,d2,d3,d4 : std_logic := '1';

begin
    process (clock)
        begin
            if rising_edge (clock) then
                d1 <= '0';
                d2 <= d1;
                d3 <= d2;
                d4 <= d3;
                reset <= d4;
        end if;
  end process;
end Behavioral;
