
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;

-- Uncomment the following library declaration if using
-- arithmetic functions with Signed or Unsigned values
--use IEEE.NUMERIC_STD.ALL;

-- Uncomment the following library declaration if instantiating
-- any Xilinx primitives in this code.
--library UNISIM;
--use UNISIM.VComponents.all;


entity REG_8 is
port(   clk,raz,load    :   in std_logic;
				d_in        :   in std_logic_vector(7 downto 0);
				d_out       :   out std_logic_vector(7 downto 0));
end REG_8;
 
architecture Behavioral of REG_8 is
begin
    process(clk)
        begin
        if rising_edge(clk) then
            if raz='1' then d_out <= (others => '0');
            elsif load ='1' then d_out <= d_in;
            end if;
        end if;
    end process;
end Behavioral;



